Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class AreaRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.AreaRecord

    public final class AreaRecord

extends StandardRecord

The area record is used to define a area chart.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`AreaRecord()`
`AreaRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`protected int` | `getDataSize()`
`short` | `getFormatFlags()` Get the format flags field for the Area record.
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isDisplayAsPercentage()` results displayed as percentages
`boolean` | `isShadow()` display a shadow for the chart
`boolean` | `isStacked()` series is stacked
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setDisplayAsPercentage(boolean value)` Sets the display as percentage field value.
`void` | `setFormatFlags(short field_1_formatFlags)` Set the format flags field for the Area record.
`void` | `setShadow(boolean value)` Sets the shadow field value.
`void` | `setStacked(boolean value)` Sets the stacked field value.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### AreaRecord

    public AreaRecord()

### AreaRecord

    public AreaRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getFormatFlags

    public short getFormatFlags()

  Get the format flags field for the Area record.

### setFormatFlags

    public void setFormatFlags(short field_1_formatFlags)

  Set the format flags field for the Area record.

### setStacked

    public void setStacked(boolean value)

  Sets the stacked field value. series is stacked

### isStacked

    public boolean isStacked()

  series is stacked

  Returns:
    the stacked field value.

### setDisplayAsPercentage

    public void setDisplayAsPercentage(boolean value)

  Sets the display as percentage field value. results displayed as percentages

### isDisplayAsPercentage

    public boolean isDisplayAsPercentage()

  results displayed as percentages

  Returns:
    the display as percentage field value.

### setShadow

    public void setShadow(boolean value)

  Sets the shadow field value. display a shadow for the chart

### isShadow

    public boolean isShadow()

  display a shadow for the chart

  Returns:
    the shadow field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.